automation:
  should-subscribe-to-context-component: true
quarkus:
  grpc:
    server:
      port: 9999
      enable-reflection-service: true
    clients:
      context:
        host: ${quarkus.kubernetes.env.vars.context-service-host}
      device:
        host: ${quarkus.kubernetes.env.vars.device-service-host}
  http:
    port: 8080
  container-image:
    group: teraflow-h2020
    name: controller/automation
    tag: 0.0.1
    registry: registry.gitlab.com
  kubernetes:
    name: automationservice
    image-pull-policy: Always
    service-type: NodePort
    labels:
      app: automationservice
    readiness-probe:
      initial-delay: 5s
      period: 45s
    liveness-probe:
      initial-delay: 5s
      period: 45s
    ports:
      http:
        host-port: 8080
        container-port: 8080
      grpc-server:
        host-port: 9999
        container-port: 9999
    env:
      vars:
        context-service-host: ContextService
        device-service-host: DeviceService